#include "coordonn.h"

double           coefficient_intersection(struct coord_2D *p1,struct coord_2D *p2,struct coord_2D *pa,struct coord_2D *pb) ;
void             echange_entier(int *i,int *j) ;
void             echange_double(double *i,double *j) ;
double           rand_0_1(void) ;
int              hasard (void) ;
double           incertitude(double interval,double val,int decision) ;
double           signe(int a,int b) ;
void             gauss (double *a,double *b,double *x) ;
void             calcul_trinome(double *a,double *b,double *c,double *d,double di,double df,int xi,int yi,int xf,int yf) ;
unsigned         my_rand(unsigned limite) ;
long             my_rand_long(long limite) ;
void             init_rand(unsigned seed) ;
unsigned         my_rand_double(double limite,double vp) ;
double           modulo(double x,double y) ;
double           distance_segment(double x,double y,double xi,double yi,double xf,double yf) ;
double           distance_sommets(double xi,double yi,double xf,double yf) ;
unsigned char    point_inclu_triangle(struct coord_2D *p,struct coord_2D *c1,struct coord_2D *c2,struct coord_2D *c3) ;
double           degre_to_radian(double v) ;
double           radian_to_degre(double v) ;
double           my_rand_lf(double limite) ;
